package com.bocloud.cmp.model.h3c;

public class H3cPciModel {
    /**
     * PCI设备名称，必须与主机上查询的PCI名称一致。
     */
    String devName;
    /**
     * PCI设备的vendorId的值。
     */
    String vendorId;
    /**
     * PCI设备的vendor的值。
     */
    String vendor;
    /**
     * PCI设备的productId的值。
     */
    String productId;
    /**
     * PCI设备的product的值。
     */
    String product;
    /**
     * PCI设备的function的值。
     */
    String function;
    /**
     * PCI设备的slot的值。
     */
    String slot;
    /**
     * PCI设备的bus的值。
     */
    String bus;
    /**
     * PCI物理接口的名称。
     */
    String ethName;
    /**
     * 驱动类型，取值为：KVM,VFIO。
     */
    String driver;

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getVendorId() {
        return vendorId;
    }

    public void setVendorId(String vendorId) {
        this.vendorId = vendorId;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getFunction() {
        return function;
    }

    public void setFunction(String function) {
        this.function = function;
    }

    public String getSlot() {
        return slot;
    }

    public void setSlot(String slot) {
        this.slot = slot;
    }

    public String getBus() {
        return bus;
    }

    public void setBus(String bus) {
        this.bus = bus;
    }

    public String getEthName() {
        return ethName;
    }

    public void setEthName(String ethName) {
        this.ethName = ethName;
    }

    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }
}
